using System;
using System.Security.Claims;
using System.Threading.Tasks;
using CodeLiturgy.Data.Application;
using Microsoft.AspNetCore.Identity;

namespace CodeLiturgy.Data.Auth.Context.Users;

/// <summary>
/// Auth manager contract interface.
/// </summary>
public interface IAuthManager
{
    /// <summary>
    /// CreateUserAsync
    /// </summary>
    /// <param name="registerRequest"></param>
    /// <returns></returns>
    Task<IdentityResult> CreateUserAsync(RegisterRequest registerRequest);

    Task<(ClaimsIdentity, bool)> DoLogin(LoginRequest loginRequest);





}