using CodeLiturgy.Data.Auth.Context.Users;
using CodeLiturgy.Views.Utils;
using Duende.IdentityServer.Extensions;
using Microsoft.AspNetCore.Mvc;

namespace CodeLiturgy.Views.Controllers;


public class EnvironmentsController : LoggedInUserController
{
    public EnvironmentsController(
        ApplicationUserManager userManager, 
        ILogger<LoggedInUserController> logger) 
        : base(userManager, logger) { }

    public override void OnInitialization()
    {
        base.OnInitialization();
        SetHeaderMenu(new List<Url>()
        {
        });
    }

    public async Task<IActionResult> Index()
    {
        await OnEveryAction();
        
     
        if (!User.IsAuthenticated())
        {
            return Redirect("/auth/login");
        }
        

        return View();
    }
}