using CodeLiturgy.Data.Auth.Context.Users;
using CodeLiturgy.Views.Utils;
using Microsoft.AspNetCore.Mvc;

namespace CodeLiturgy.Views.Controllers
{
    public class SystemController : LoggedInUserController
    {
        public SystemController(ApplicationUserManager userManager, ILogger<SystemController> logger) : base(userManager, logger)
        {
            _logger = logger;
            _userManager = userManager;
        }
        
        public async Task<IActionResult> Index()
        {

            await OnEveryAction();
            return View();
        }

        public override void OnInitialization()
        {
            SetFooterMenu(LayoutCache.SystemRoute.ChildrenToUrl());
        }

        public async Task<IActionResult> Users()
        {
            await OnEveryAction();
            return View();
        }
        
        public async Task<IActionResult> Logs()
        {
            await OnEveryAction();
            return View();
        }
        
        public async Task<IActionResult> Roles()
        {
            await OnEveryAction();
            return View("Roles/Index");
        }


       
    }
}

