

using CodeLiturgy.Views;

namespace BlueWest.WebApi
{
    /// <summary>
    /// Entry point of the application.
    /// </summary>
    public class Program
    {

        /// <summary>
        /// Host Interface of the application.
        /// </summary>
        public static IHost MainHost { get; private set; }

        /// <summary>
        /// Entry point of the application
        /// </summary>
        /// <param name="args">Command line arguments.</param>
        public static void Main(string[] args)
        {
            MainHost = CreateHostBuilder(args)
                .UseContentRoot(Directory.GetCurrentDirectory())
                .Build();

            MainHost.Run();

            
        }

        private static IHostBuilder CreateHostBuilder(string[] args) =>
            Host.CreateDefaultBuilder(args)
                .UseSystemd()
                .ConfigureWebHostDefaults(webBuilder =>
                {
                    webBuilder.UseStartup<Startup>();
                });
    }
}
