using System.Collections.Immutable;

namespace CodeLiturgy.Views.Utils
{
    internal static class Routes
    {
        public const string DefaultCultureName = "en-gb";

        #region View Data Keys

        internal const string FooterMenuViewDataId = "m1";
        internal const string UserViewDataId = "uvd";
        internal const string HeaderMenuId = "m2";
        internal const string LanguageViewStorage = "i81";
        internal const string IpViewStorage = "ip";
        internal const string AgentViewStorage = "ag2";
        
        
        #endregion View Data Keys

        
        internal const string RootKeyName = "root";
        internal const string RootLocation = "/";
        

        
        internal const string RootAuthRoute = "/auth";
        internal const string RootAuthKeyName = "auth";
         
        internal const string AuthLoginRoute = $"{RootAuthRoute}/login";
        internal const string AuthLoginKeyName = "login";
        
        internal const string AuthSignupRoute = $"{RootAuthRoute}/signup";
        internal const string AuthSignupKeyName = "signup";


        internal const string RolesLocation = $"{SystemRouteLocation}/roles";
        internal const string RolesKeyName = "roles";

        internal const string ApplicationUsersLocation = $"{SystemRouteLocation}/users";
        internal const string ApplicationUsersKeyName = "app_users";

        internal const string LogsLocation = $"{SystemRouteLocation}/logs";
        internal const string LogsKeyName = "logs";

        internal const string SettingsRouteLocation = $"{SystemRouteLocation}/settings";
        internal const string SettingsKeyName = "settings";

        internal const string SystemRouteLocation = $"/system";
        internal const string SystemKeyName = "system";

        
        internal const string AuthLogoutRoute = "/auth/logout";
        internal const string AuthAccountRoute = "/auth/account";
        internal const string AuthAccountKeyName = "account";

        // Account

        internal const string ChangePasswordKeyName = "changepwd";
        internal const string ChangePasswordRouteLocation = $"{AuthAccountRoute}/change";

    }
}